Page MenuHomePhabricator

narrow: extract repo property for store narrowmatcher
ClosedPublic

Authored by martinvonz on Jan 7 2019, 3:45 AM.

Details

Summary

When a repo lock is released, we try to persist the manifest
cache. That involves getting the narrowmatcher for the
manifestlog. That should not fail if the store and working copy
narrowspecs are out of sync. Without this patch, the later patches in
this series will fail because of that.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 7 2019, 3:45 AM
martinvonz updated this revision to Diff 13036.Jan 7 2019, 4:18 AM
martinvonz updated this revision to Diff 13057.Jan 7 2019, 2:02 PM
martinvonz updated this revision to Diff 13148.Jan 10 2019, 4:50 PM
pulkit accepted this revision.Jan 16 2019, 2:29 AM
pulkit added a subscriber: pulkit.
pulkit added inline comments.
mercurial/localrepo.py
1227

In future, we can add a boolean store argument to narrowmatch() function. That will be better than accessing private attributes of the localrepo class.

This revision was automatically updated to reflect the committed changes.